## org.apache.commons.math.analysis.interpolation
Interface BivariateRealGridInterpolator

All Known Implementing Classes:
  SmoothingBicubicSplineInterpolator

    public interface BivariateRealGridInterpolator

Interface representing a bivariate real interpolating function where the sample points must be specified on a regular grid.

Version:
  $Revision$ $Date$

Method Summary
`BivariateRealFunction` `interpolate(double[] xval, double[] yval, double[][] zval)` Computes an interpolating function for the data set.

Method Detail

### interpolate

    BivariateRealFunction interpolate(double[] xval,
                                      double[] yval,
                                      double[][] zval)
                                      throws MathException

  Computes an interpolating function for the data set.

  Parameters:
    `xval` - all the x-coordinates of the interpolation points, sorted in increasing order.
    `yval` - all the y-coordinates of the interpolation points, sorted in increasing order.
    `zval` - the values of the interpolation points on all the grid knots: `zval[i][j] = f(xval[i], yval[j])`
  Returns:
    a function which interpolates the data set
  Throws:
    `MathException` - if arguments violate assumptions made by the interpolation algorithm

Copyright (c) 2003-2010 Apache Software Foundation